PETSc version 3.17.4
Fix/Edit manual page

# PetscDeviceGetDeviceId

Get the device id

### Synopsis

    PetscErrorCode PetscDeviceGetDeviceId(PetscDevice device, PetscInt *id)

Not collective

### Input Parameter

| device | - The PetscDevice

### Output Parameter

| id | - The device id

### See Also

PetscDevice, PetscDeviceCreate(), PetscDeviceConfigure(), PetscDeviceDestroy()

### Level

beginner

### Location

src/sys/objects/device/interface/device.cxx
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages